Retrieve a single file

Retrieve a single file#

Description#

Returns the file meta that matches the provided ID, or a 404 if an associated file can’t be found.

GET /api/v1/file/{fileId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

fileId

path

string

true

The unique identifier of the file

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/file/{fileId} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/file/{fileId} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/file/{fileId}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/file/{fileId}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with a body property, which contains the requested FileMetaDto object.

Example Responses#

{
  "body": {
    "columnMappings": {},
    "created": "string",
    "delimiter": "string",
    "id": "string",
    "key": "string",
    "metadata": {},
    "name": "string",
    "numErrors": "integer",
    "numRecords": "integer",
    "originalFileSize": "integer",
    "source": "string",
    "status": "string",
    "tableId": "string",
    "tags": {},
    "updated": "string",
    "userId": "string",
    "version": "integer"
  },
  "code": "integer"
}